path: /build/build/gupnp-net-libs-1.2-1.2.4+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-connman -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 introspection networkmanager python_targets_python3_9 vala" emerge net-libs/gupnp:1.2 -pv -t && \
    USE="-connman -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 introspection networkmanager python_targets_python3_9 vala" emerge -j ${JOBS} --nodeps net-libs/gupnp:1.2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gupnp && luet-portage --dir /pkgdir/gupnp
    net-libs/gupnp:1.2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b446fe5441886d7d238813bdf4e36fe45104cc0891042bd28c62f8681aa99276
  package:
    name: gupnp
    version: 1.2.4+2
    category: net-libs-1.2
    use_flags:
    - -connman
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - introspection
    - networkmanager
    - python_targets_python3_9
    - vala
    requires:
    - name: gssdp
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: An object-oriented framework for creating UPnP devs and control points
    uri:
    - https://wiki.gnome.org/Projects/GUPnP
    license: LGPL-2
    buildtimestamp: 2023-09-14 14:44:40.614738943 +0000 UTC m=+134.599401545
    labels:
      DEPEND: python_targets_python3_7? ( dev-lang/python:3.7[xml] ) python_targets_python3_9?
        ( dev-lang/python:3.9[xml] ) python_targets_python3_8? ( dev-lang/python:3.8[xml]
        ) python_targets_python3_10? ( dev-lang/python:3.10[xml] ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=net-libs/gssdp-1.1.2:1.2=[introspection?] >=net-libs/libsoup-2.48.0:2.4[introspection?]
        >=dev-libs/glib-2.62.2:2 >=dev-libs/libxml2-2.9.1-r4 >=sys-apps/util-linux-2.24.1-r3
        introspection? ( >=dev-libs/gobject-introspection-1.62.0:= || ( dev-lang/vala:0.50[vapigen(+)]
        dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
        dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
        ) ) connman? ( >=dev-libs/glib-2.62.2:2 ) networkmanager? ( >=dev-libs/glib-2.62.2:2
        ) !net-libs/gupnp-vala >=dev-util/gtk-doc-am-1.14 sys-devel/gettext >=virtual/pkgconfig-0-r1
        >=app-portage/elt-patches-20170815 app-arch/xz-utils dev-util/desktop-file-utils
        x11-misc/shared-mime-info >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      IUSE: connman doc example +introspection kernel_linux networkmanager vala python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8 python_targets_python3_10
      RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7[xml] ) python_targets_python3_9?
        ( dev-lang/python:3.9[xml] ) python_targets_python3_8? ( dev-lang/python:3.8[xml]
        ) python_targets_python3_10? ( dev-lang/python:3.10[xml] ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=net-libs/gssdp-1.1.2:1.2=[introspection?] >=net-libs/libsoup-2.48.0:2.4[introspection?]
        >=dev-libs/glib-2.62.2:2 >=dev-libs/libxml2-2.9.1-r4 >=sys-apps/util-linux-2.24.1-r3
        introspection? ( >=dev-libs/gobject-introspection-1.62.0:= || ( dev-lang/vala:0.50[vapigen(+)]
        dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
        dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
        ) ) connman? ( >=dev-libs/glib-2.62.2:2 ) networkmanager? ( >=dev-libs/glib-2.62.2:2
        ) !net-libs/gupnp-vala
      emerge.packages: net-libs/gupnp:1.2
      kit: gnome-kit
      original.package.name: net-libs/gupnp
      original.package.slot: "1.2"
      original.package.version: 1.2.4
    treedir: /build/packages
  package_dir: /pkgdir/gupnp
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c28b37c2721475f1d9eafe5d0cfca69be5016c5ec27d0488e35a80b8a6b6580e
compressiontype: zstd
files:
- usr/bin/gupnp-binding-tool-1.2
- usr/include/gupnp-1.2/libgupnp/gupnp-acl.h
- usr/include/gupnp-1.2/libgupnp/gupnp-context-manager.h
- usr/include/gupnp-1.2/libgupnp/gupnp-context.h
- usr/include/gupnp-1.2/libgupnp/gupnp-control-point.h
- usr/include/gupnp-1.2/libgupnp/gupnp-device-info.h
- usr/include/gupnp-1.2/libgupnp/gupnp-device-proxy.h
- usr/include/gupnp-1.2/libgupnp/gupnp-device.h
- usr/include/gupnp-1.2/libgupnp/gupnp-enums.h
- usr/include/gupnp-1.2/libgupnp/gupnp-error.h
- usr/include/gupnp-1.2/libgupnp/gupnp-resource-factory.h
- usr/include/gupnp-1.2/libgupnp/gupnp-root-device.h
- usr/include/gupnp-1.2/libgupnp/gupnp-service-info.h
- usr/include/gupnp-1.2/libgupnp/gupnp-service-introspection.h
- usr/include/gupnp-1.2/libgupnp/gupnp-service-proxy.h
- usr/include/gupnp-1.2/libgupnp/gupnp-service.h
- usr/include/gupnp-1.2/libgupnp/gupnp-types.h
- usr/include/gupnp-1.2/libgupnp/gupnp-uuid.h
- usr/include/gupnp-1.2/libgupnp/gupnp-white-list.h
- usr/include/gupnp-1.2/libgupnp/gupnp-xml-doc.h
- usr/include/gupnp-1.2/libgupnp/gupnp.h
- usr/lib/python-exec/python3.9/gupnp-binding-tool-1.2
- usr/lib64/girepository-1.0/GUPnP-1.2.typelib
- usr/lib64/libgupnp-1.2.so
- usr/lib64/libgupnp-1.2.so.0
- usr/lib64/libgupnp-1.2.so.0.0.0
- usr/lib64/pkgconfig/gupnp-1.2.pc
- usr/share/doc/gupnp-1.2.4/AUTHORS
- usr/share/doc/gupnp-1.2.4/NEWS.bz2
- usr/share/doc/gupnp-1.2.4/README.bz2
- usr/share/gir-1.0/GUPnP-1.2.gir
- usr/share/man/man1/gupnp-binding-tool-1.2.1.bz2
- usr/share/vala/vapi/gupnp-1.2.deps
- usr/share/vala/vapi/gupnp-1.2.vapi
- var/db/pkg/net-libs/gupnp-1.2.4/BUILD_TIME
- var/db/pkg/net-libs/gupnp-1.2.4/CATEGORY
- var/db/pkg/net-libs/gupnp-1.2.4/CBUILD
- var/db/pkg/net-libs/gupnp-1.2.4/CFLAGS
- var/db/pkg/net-libs/gupnp-1.2.4/CHOST
- var/db/pkg/net-libs/gupnp-1.2.4/CONTENTS
- var/db/pkg/net-libs/gupnp-1.2.4/COUNTER
- var/db/pkg/net-libs/gupnp-1.2.4/CXXFLAGS
- var/db/pkg/net-libs/gupnp-1.2.4/DEFINED_PHASES
- var/db/pkg/net-libs/gupnp-1.2.4/DEPEND
- var/db/pkg/net-libs/gupnp-1.2.4/DESCRIPTION
- var/db/pkg/net-libs/gupnp-1.2.4/EAPI
- var/db/pkg/net-libs/gupnp-1.2.4/FEATURES
- var/db/pkg/net-libs/gupnp-1.2.4/HOMEPAGE
- var/db/pkg/net-libs/gupnp-1.2.4/INHERITED
- var/db/pkg/net-libs/gupnp-1.2.4/IUSE
- var/db/pkg/net-libs/gupnp-1.2.4/IUSE_EFFECTIVE
- var/db/pkg/net-libs/gupnp-1.2.4/KEYWORDS
- var/db/pkg/net-libs/gupnp-1.2.4/LDFLAGS
- var/db/pkg/net-libs/gupnp-1.2.4/LICENSE
- var/db/pkg/net-libs/gupnp-1.2.4/NEEDED
- var/db/pkg/net-libs/gupnp-1.2.4/PF
- var/db/pkg/net-libs/gupnp-1.2.4/PROVIDES
- var/db/pkg/net-libs/gupnp-1.2.4/RDEPEND
- var/db/pkg/net-libs/gupnp-1.2.4/REQUIRES
- var/db/pkg/net-libs/gupnp-1.2.4/SIZE
- var/db/pkg/net-libs/gupnp-1.2.4/SLOT
- var/db/pkg/net-libs/gupnp-1.2.4/USE
- var/db/pkg/net-libs/gupnp-1.2.4/environment.bz2
- var/db/pkg/net-libs/gupnp-1.2.4/gupnp-1.2.4.ebuild
- var/db/pkg/net-libs/gupnp-1.2.4/repository
package_cacheimage: ""
runtime:
  name: gupnp
  version: 1.2.4+2
  category: net-libs-1.2
  use_flags:
  - -connman
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - introspection
  - networkmanager
  - python_targets_python3_9
  - vala
  requires:
  - name: gssdp
    version: '>=0'
    category: net-libs-1.2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: An object-oriented framework for creating UPnP devs and control points
  uri:
  - https://wiki.gnome.org/Projects/GUPnP
  license: LGPL-2
  labels:
    DEPEND: python_targets_python3_7? ( dev-lang/python:3.7[xml] ) python_targets_python3_9?
      ( dev-lang/python:3.9[xml] ) python_targets_python3_8? ( dev-lang/python:3.8[xml]
      ) python_targets_python3_10? ( dev-lang/python:3.10[xml] ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=net-libs/gssdp-1.1.2:1.2=[introspection?] >=net-libs/libsoup-2.48.0:2.4[introspection?]
      >=dev-libs/glib-2.62.2:2 >=dev-libs/libxml2-2.9.1-r4 >=sys-apps/util-linux-2.24.1-r3
      introspection? ( >=dev-libs/gobject-introspection-1.62.0:= || ( dev-lang/vala:0.50[vapigen(+)]
      dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
      dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
      ) ) connman? ( >=dev-libs/glib-2.62.2:2 ) networkmanager? ( >=dev-libs/glib-2.62.2:2
      ) !net-libs/gupnp-vala >=dev-util/gtk-doc-am-1.14 sys-devel/gettext >=virtual/pkgconfig-0-r1
      >=app-portage/elt-patches-20170815 app-arch/xz-utils dev-util/desktop-file-utils
      x11-misc/shared-mime-info >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    IUSE: connman doc example +introspection kernel_linux networkmanager vala python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8 python_targets_python3_10
    RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7[xml] ) python_targets_python3_9?
      ( dev-lang/python:3.9[xml] ) python_targets_python3_8? ( dev-lang/python:3.8[xml]
      ) python_targets_python3_10? ( dev-lang/python:3.10[xml] ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=net-libs/gssdp-1.1.2:1.2=[introspection?] >=net-libs/libsoup-2.48.0:2.4[introspection?]
      >=dev-libs/glib-2.62.2:2 >=dev-libs/libxml2-2.9.1-r4 >=sys-apps/util-linux-2.24.1-r3
      introspection? ( >=dev-libs/gobject-introspection-1.62.0:= || ( dev-lang/vala:0.50[vapigen(+)]
      dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
      dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
      ) ) connman? ( >=dev-libs/glib-2.62.2:2 ) networkmanager? ( >=dev-libs/glib-2.62.2:2
      ) !net-libs/gupnp-vala
    emerge.packages: net-libs/gupnp:1.2
    kit: gnome-kit
    original.package.name: net-libs/gupnp
    original.package.slot: "1.2"
    original.package.version: 1.2.4
